import { BigNumberish } from 'ethers';
import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { GetMasterChefDataPropsParams, GetMasterChefTokenBalancesParams, MasterChefTemplateContractPositionFetcher, RewardRateUnit } from '../../../position/template/master-chef.template.contract-position-fetcher';
import { PickleContractFactory, PickleJarMasterchef } from '../contracts';
export declare class EthereumPickleFarmContractPositionFetcher extends MasterChefTemplateContractPositionFetcher<PickleJarMasterchef> {
    protected readonly appToolkit: IAppToolkit;
    protected readonly contractFactory: PickleContractFactory;
    groupLabel: string;
    chefAddress: string;
    rewardRateUnit: RewardRateUnit;
    constructor(appToolkit: IAppToolkit, contractFactory: PickleContractFactory);
    getContract(address: string): PickleJarMasterchef;
    getPoolLength(contract: PickleJarMasterchef): Promise<import("ethers").BigNumber>;
    getStakedTokenAddress(contract: PickleJarMasterchef, poolIndex: number): Promise<string>;
    getRewardTokenAddress(contract: PickleJarMasterchef): Promise<string>;
    getTotalAllocPoints({ contract }: GetMasterChefDataPropsParams<PickleJarMasterchef>): Promise<BigNumberish>;
    getTotalRewardRate({ contract }: GetMasterChefDataPropsParams<PickleJarMasterchef>): Promise<BigNumberish>;
    getPoolAllocPoints({ contract, definition, }: GetMasterChefDataPropsParams<PickleJarMasterchef>): Promise<BigNumberish>;
    getStakedTokenBalance({ address, contract, contractPosition, }: GetMasterChefTokenBalancesParams<PickleJarMasterchef>): Promise<BigNumberish>;
    getRewardTokenBalance({ address, contract, contractPosition, }: GetMasterChefTokenBalancesParams<PickleJarMasterchef>): Promise<BigNumberish>;
}
